Package org.apache.solr.common

# Class LinkedHashMapWriter<V>

java.lang.Object
java.util.AbstractMap<String,V>
java.util.HashMap<String,V>
java.util.LinkedHashMap<String,V>
org.apache.solr.common.LinkedHashMapWriter<V>

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<String,V>`, `MapSerializable`, `MapWriter`, `NavigableObject`, `org.noggit.JSONWriter.Writable`

public class LinkedHashMapWriter<V> extends LinkedHashMap<String,V> implements MapWriter

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

## Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

## Field Summary

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

## Constructor Summary

Constructors
Constructor
Description
`LinkedHashMapWriter()`
`LinkedHashMapWriter(int initialCapacity)`
`LinkedHashMapWriter(Map<? extends String,? extends V> m)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`_get(String path)`
Get a child object value using json path.
`Object`
`_get(List<String> path, Object def)`
Get a child object value using json path
`String`
`toString()`
`void`
`writeMap(MapWriter.EntryWriter ew)`
Writes this object's entries out to `ew`.

### Methods inherited from class java.util.LinkedHashMap

`clear, containsValue, entrySet, forEach, get, getOrDefault, keySet, removeEldestEntry, replaceAll, values`

### Methods inherited from class java.util.HashMap

`clone, compute, computeIfAbsent, computeIfPresent, containsKey, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, containsKey, equals, hashCode, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap, write`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _getStr, _getStr, _size`

## Constructor Details

### LinkedHashMapWriter

public LinkedHashMapWriter(int initialCapacity)

### LinkedHashMapWriter

public LinkedHashMapWriter()

### LinkedHashMapWriter

public LinkedHashMapWriter(Map<? extends String,? extends V> m)

## Method Details

### writeMap

public void writeMap(MapWriter.EntryWriter ew) throws IOException
Description copied from interface: `MapWriter`
Writes this object's entries out to `ew`.

Specified by:
  `writeMap` in interface `MapWriter`
Throws:
  `IOException`

### _get

public Object _get(String path)
Description copied from interface: `NavigableObject`
Get a child object value using json path. This usually ends up in String split operations use a list of strings where performance is important

Specified by:
  `_get` in interface `NavigableObject`
Parameters:
  `path` - the full path to that object such as a/b/c[4]/d etc
Returns:
  the found value or default

### _get

public Object _get(List<String> path, Object def)
Description copied from interface: `NavigableObject`
Get a child object value using json path

Specified by:
  `_get` in interface `NavigableObject`
Parameters:
  `path` - the full path to that object such as ["a","b","c[4]","d"] etc
  `def` - the default
Returns:
  the found value or default

### toString

public String toString()

Overrides:
  `toString` in class `AbstractMap<String,V>`